Package org.codehaus.groovy.ast.expr

# Class FieldExpression

java.lang.Object
org.codehaus.groovy.ast.ASTNode
org.codehaus.groovy.ast.AnnotatedNode
org.codehaus.groovy.ast.expr.Expression
org.codehaus.groovy.ast.expr.FieldExpression

public class FieldExpression extends Expression
Represents a field access such as the expression "this.foo".

Author:
  James Strachan

## Constructor Summary

Constructors
Constructor
Description
`FieldExpression(FieldNode field)`

## Method Summary

Modifier and Type
Method
Description
`FieldNode`
`getField()`
`String`
`getFieldName()`
`String`
`getText()`
`ClassNode`
`getType()`
`boolean`
`isDynamicTyped()`
`boolean`
`isUseReferenceDirectly()`
`void`
`setType(ClassNode type)`
`void`
`setUseReferenceDirectly(boolean useRef)`
`String`
`toString()`
`Expression`
`transformExpression(ExpressionTransformer transformer)`
Return a copy of the expression calling the transformer on any nested expressions
`void`
`visit(GroovyCodeVisitor visitor)`

### Methods inherited from class org.codehaus.groovy.ast.expr.Expression

`transformExpressions, transformExpressions`

### Methods inherited from class org.codehaus.groovy.ast.AnnotatedNode

`addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`

### Methods inherited from class org.codehaus.groovy.ast.ASTNode

`copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getNodeMetaData, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### FieldExpression

public FieldExpression(FieldNode field)

## Method Details

### visit

public void visit(GroovyCodeVisitor visitor)

Overrides:
  `visit` in class `ASTNode`

### transformExpression

public Expression transformExpression(ExpressionTransformer transformer)
Description copied from class: `Expression`
Return a copy of the expression calling the transformer on any nested expressions

Specified by:
  `transformExpression` in class `Expression`
Parameters:
  `transformer` -

### getFieldName

public String getFieldName()

### getField

public FieldNode getField()

### getText

public String getText()

Overrides:
  `getText` in class `ASTNode`

### isDynamicTyped

public boolean isDynamicTyped()

### setType

public void setType(ClassNode type)

Overrides:
  `setType` in class `Expression`

### getType

public ClassNode getType()

Overrides:
  `getType` in class `Expression`

### setUseReferenceDirectly

public void setUseReferenceDirectly(boolean useRef)

### isUseReferenceDirectly

public boolean isUseReferenceDirectly()

### toString

public String toString()

Overrides:
  `toString` in class `Object`